%define	name	boost-jam
%define	version 3.1.18
%define	release	1

Summary:	Build tool for Boost libraries
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
URL:		http://www.boost.org/
Source0:	http://download.sourceforge.net/boost/%{name}-%{version}.tar.xz
License: 	Boost
Group: 		Development/Other
Buildrequires:	byacc
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Boost Jam is a build tool based on FTJam, which in turn is based on 
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible 
with Perforce Jam.


%prep
%setup -q

%build
./build.sh cc

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 bin.linux*/bjam %{buildroot}%{_bindir}/bjam

%files
%defattr(-,root,root)
%defattr(0644,root,root,0755)
%doc LICENSE_1_0.txt *.css *.html *.png images jam
%attr(0755,root,root) %{_bindir}/bjam

%clean
%{__rm} -rf %{buildroot}


%changelog
* Wed Feb 15 2012 Neal <nealbrks0 at gmail dot com> 3.1.18-1pclos2012
- 3.1.18

* Tue Jun 22 2010 Texstar <texstar at gmail.com> 3.1.17-2pclos2010
- update for 2010 release

